Subject: RE: SSL-enabled Apache with another module

From: Jay Burgess <[email-masked]>
Date: Fri, 22 Feb 2002 15:26:44 -0600

Thanks for the reply.  I did forget to mention in my previous post that 
mod_jserv.c appears to be correctly compiled into Apache (as shown via 
"httpd -l").  I'll re-check the server signature in a few minutes, after my 
latest rebuild completes.

With regards to the configuration details, I don't believe that there are 
any problems there, as Apache+JServ has worked fine for me almost a year 
now.  I only started having trouble when I tried to incorporate mod_ssl 
into the build process.  Funnily enough, if I build Apache+mod_ssl, without 
JServ, that also works fine.  It's only the combination of the three that 
isn't working.

I'll re-look at the "--enable-shared=ssl" difference that you mention, and 
see if maybe that's it.

Finally, I do now think it's a JServ problem, not a mod_ssl issue.  I just 
needed to start somewhere, and since mod_ssl was the new piece of the 
puzzle, I was looking for confirmation from a mod_ssl user that I appeared 
to be doing it right.

Thanks again.

Jay

 > -----Original Message-----
 > From: Carlos Ramirez [mailto:[email-masked]]
 > Sent: Friday, February 22, 2002 1:02 PM
 > To: [email-masked]
 > Subject: Re: SSL-enabled Apache with another module
 >
 >
 > Verify that you actually do have Jserv built into your httpd. You can
 > either execute: /Apache/1.3.20/bin/httpd -l or look at your server
 > signature which should look something like this:
 > Apache/1.3.22 (Unix) ApacheJServ/1.1.2 mod_perl/1.26 mod_ssl/2.8.5
 > OpenSSL/0.9.6c
 >
 > Have you included the path to your jserv.conf file in your httpd.conf?
 > Your httpd.conf file should include the following line:
 > Include /usr/local/etc/jserv1.1.2/etc/jserv.conf
 >
 > The only difference between my build process and yours is that I don't
 > do the shared thing i.e. I don't include the --enable-shared=ssl
 >
 > hhmmm...somehow this didn't feel like modssl related...
 >
 > -Carlos
 >
 > Jay Burgess wrote:
 > >
 > > I'm struggling to get Apache built on Solaris with both mod_ssl and
 > > JServ.  I've had no trouble building an SSL-only Apache,
 > and I've had a
 > > JServ-only Apache running for a year, but trying to get
 > them both together
 > > in Apache together is causing me all kinds of trouble.
 > (Apache starts up
 > > fine in SSL mode, but JServ never starts.  And, there's no
 > log information
 > > of any kind produced.)
 > >
 > > I've included my complete build script below in case anyone
 > sees anything
 > > that doesn't look right.  My UNIX skills are marginal at
 > best, so I've
 > > built this script with a lot of cut and pasting from online
 > docs, etc.  I'm
 > > assuming I've got some configure option wrong, but I sure
 > don't see it.
 > >
 > > Any guidance you can provide would be much appreciated.
 > Thanks in advance.
 > >
 > > Here's my script:
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[1] Configure and make Apache"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/1.3.20
 > > CC="/usr/local/bin/gcc" MAKE="/usr/local/bin/gmake" ./configure \
 > > --prefix=/Apache/1.3.20
 > > gmake
 > > gmake install
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[2] Configure and build OpenSSL"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/openssl-0.9.6b
 > > sh config no-threads
 > > gmake
 > > gmake test
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[3] Add mod_ssl to Apache"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/mod_ssl-2.8.4-1.3.20
 > > ./configure --with-apache=/Apache/1.3.20
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[4] Configure and make JServ"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/ApacheJServ-1.1.2
 > > CC="/usr/local/bin/gcc" MAKE="/usr/local/bin/gmake" ./configure \
 > > --prefix=/Apache/ApacheJServ-1.1.2 \
 > > --with-apache-src=/Apache/1.3.20 \
 > > --with-jdk-home=/usr/java1.2 \
 > > --with-JSDK=/Apache/jsdk2.0/lib/jsdk.jar
 > > gmake
 > > gmake install
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[5] Reconfigure Apache (with JServ and SSL)"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/1.3.20
 > > CC="/usr/local/bin/gcc" MAKE="/usr/local/bin/gmake"
 > > SSL_BASE=/Apache/openssl-0.9.6b ./configure \
 > > --prefix=/Apache/1.3.20 \
 > > --enable-module=ssl \
 > > --enable-shared=ssl \
 > > --activate-module=src/modules/jserv/libjserv.a
 > >
 > > echo
 > "*****************************************************************"
 > > echo "[6] Remake Apache"
 > > echo
 > "*****************************************************************"
 > > cd /Apache/1.3.20
 > > gmake
 > > gmake certificate
 > > gmake install
 > >
 > > Jay
 > >
 > ______________________________________________________________________
 > > Apache Interface to OpenSSL (mod_ssl)
www.modssl.org
 > User Support Mailing List                      [email-masked]
 > Automated List Manager                            [email-masked]

-- 
-------------------------------------------------------------------------
Carlos Ramirez + Boeing + Human Flight & Space Exploration +
714.372.4181
-------------------------------------------------------------------------
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]